0

What I did

In terminal, ran command

$ software-properties-gtk

What I receive

    Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'com.ubuntu.SoftwareProperties': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/software-properties-gtk", line 100, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 158, in __init__
    proxy = bus.get_object("com.ubuntu.SoftwareProperties", "/")
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildSignaled: Process com.ubuntu.SoftwareProperties received signal 11

What I'm expecting

To make the command error free

Extra

OS: Linux Ubuntu 18.04 LTS and anything else you want to know, I'll be happy to give you. I tried a lot of solutions but none of them works.

  • where did this /usr/local/bin/software-properties-gtk come from? which software-properties-gtk please edit your question. and readlink -f /usr/local/bin/software-properties-gtk – nobody Aug 14 at 7:35
  • I forgot snap list – nobody Aug 14 at 7:42
0

Generally, something is broken in your tool-chain and you'll need to reinstall whichever package that is. The exception seems to suggest that there is something wrong with dbus. I would start by trying to reinstall that.

If you don't have aptitude installed first do:

sudo apt-get install aptitude

Then you can use aptitude to reinstall dbus.

sudo aptitude reinstall dbus

If that doesn't get you anywhere you may have to reinstall all the supporting packages. Take a look at the answer here for additional information, this is also where I found the info on reinstalling dbus which I mentioned seems to be the likely culprit.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.